version 1.62 | | version 1.63 |
---|
| | |
# include <unistd.h> | | # include <unistd.h> |
#endif" | | #endif" |
| | |
ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE EGREP LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL LEX LEXLIB LEX_OUTPUT_ROOT LATEX GZIP GUNZIP TAR PERL BASENAME COMPRESS UNCOMPRESS BZIP BUNZIP X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS LIBOBJS x_includes x_libraries no_x HAVE_X_TRUE HAVE_X_FALSE X11LIBS pkgstatedir pkgconfdir HAVE_LIBDL_TRUE HAVE_LIBDL_FALSE PYTHON_LIB PY_LIBS PY_INCLUDES PYTHON_PLUGIN_TRUE PYTHON_PLUGIN_FALSE PLUGIN_PYTHON CROSSEDIT CHECK_CFLAGS CHECK_LIBS HAVE_CHECK_TRUE HAVE_CHECK_FALSE LTLIBOBJS' | | ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE EGREP LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL LEX LEXLIB LEX_OUTPUT_ROOT LATEX GZIP GUNZIP TAR PERL BASENAME COMPRESS UNCOMPRESS BZIP BUNZIP X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS LIBOBJS x_includes x_libraries no_x HAVE_X_TRUE HAVE_X_FALSE X11LIBS pkgstatedir pkgconfdir HAVE_LIBDL_TRUE HAVE_LIBDL_FALSE PYTHON_LIB PY_LIBS PY_INCLUDES PYTHON_PLUGIN_TRUE PYTHON_PLUGIN_FALSE PLUGIN_PYTHON CROSSEDIT CHECK_CFLAGS CHECK_LIBS HAVE_CHECK_TRUE HAVE_CHECK_FALSE check_xslt_forcedprogfound check_xslt_xsltprocfound check_xslt_sablotronfound PROCESS_XSLT_TRUE PROCESS_XSLT_FALSE XSLTENGINE LTLIBOBJS' |
ac_subst_files='' | | ac_subst_files='' |
| | |
# Initialize some variables set by options. | | # Initialize some variables set by options. |
| | |
--with-python=dir Directory to look for python headers/library (default=standard system location) | | --with-python=dir Directory to look for python headers/library (default=standard system location) |
--with-x use the X Window System | | --with-x use the X Window System |
--with-check=PATH prefix where check is installed default=auto | | --with-check=PATH prefix where check is installed default=auto |
| | --with-xsltproc=path specify xslt engine to use for test report generation |
| | |
Some influential environment variables: | | Some influential environment variables: |
CC C compiler command | | CC C compiler command |
| | |
;; | | ;; |
*-*-irix6*) | | *-*-irix6*) |
# Find out which ABI we are using. | | # Find out which ABI we are using. |
echo '#line 3690 "configure"' > conftest.$ac_ext | | echo '#line 3691 "configure"' > conftest.$ac_ext |
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | | if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 |
(eval $ac_compile) 2>&5 | | (eval $ac_compile) 2>&5 |
ac_status=$? | | ac_status=$? |
| | |
| | |
| | |
# Provide some information about the compiler. | | # Provide some information about the compiler. |
echo "$as_me:5254:" \ | | echo "$as_me:5255:" \ |
"checking for Fortran 77 compiler version" >&5 | | "checking for Fortran 77 compiler version" >&5 |
ac_compiler=`set X $ac_compile; echo $2` | | ac_compiler=`set X $ac_compile; echo $2` |
{ (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5 | | { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5 |
| | |
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \ | | -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \ |
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ | | -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ |
-e 's:$: $lt_compiler_flag:'` | | -e 's:$: $lt_compiler_flag:'` |
(eval echo "\"\$as_me:6286: $lt_compile\"" >&5) | | (eval echo "\"\$as_me:6287: $lt_compile\"" >&5) |
(eval "$lt_compile" 2>conftest.err) | | (eval "$lt_compile" 2>conftest.err) |
ac_status=$? | | ac_status=$? |
cat conftest.err >&5 | | cat conftest.err >&5 |
echo "$as_me:6290: \$? = $ac_status" >&5 | | echo "$as_me:6291: \$? = $ac_status" >&5 |
if (exit $ac_status) && test -s "$ac_outfile"; then | | if (exit $ac_status) && test -s "$ac_outfile"; then |
# The compiler can only warn and ignore the option if not recognized | | # The compiler can only warn and ignore the option if not recognized |
# So say no if there are warnings | | # So say no if there are warnings |
| | |
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \ | | -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \ |
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ | | -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ |
-e 's:$: $lt_compiler_flag:'` | | -e 's:$: $lt_compiler_flag:'` |
(eval echo "\"\$as_me:6519: $lt_compile\"" >&5) | | (eval echo "\"\$as_me:6520: $lt_compile\"" >&5) |
(eval "$lt_compile" 2>conftest.err) | | (eval "$lt_compile" 2>conftest.err) |
ac_status=$? | | ac_status=$? |
cat conftest.err >&5 | | cat conftest.err >&5 |
echo "$as_me:6523: \$? = $ac_status" >&5 | | echo "$as_me:6524: \$? = $ac_status" >&5 |
if (exit $ac_status) && test -s "$ac_outfile"; then | | if (exit $ac_status) && test -s "$ac_outfile"; then |
# The compiler can only warn and ignore the option if not recognized | | # The compiler can only warn and ignore the option if not recognized |
# So say no if there are warnings | | # So say no if there are warnings |
| | |
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \ | | -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \ |
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ | | -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ |
-e 's:$: $lt_compiler_flag:'` | | -e 's:$: $lt_compiler_flag:'` |
(eval echo "\"\$as_me:6579: $lt_compile\"" >&5) | | (eval echo "\"\$as_me:6580: $lt_compile\"" >&5) |
(eval "$lt_compile" 2>out/conftest.err) | | (eval "$lt_compile" 2>out/conftest.err) |
ac_status=$? | | ac_status=$? |
cat out/conftest.err >&5 | | cat out/conftest.err >&5 |
echo "$as_me:6583: \$? = $ac_status" >&5 | | echo "$as_me:6584: \$? = $ac_status" >&5 |
if (exit $ac_status) && test -s out/conftest2.$ac_objext | | if (exit $ac_status) && test -s out/conftest2.$ac_objext |
then | | then |
# The compiler can only warn and ignore the option if not recognized | | # The compiler can only warn and ignore the option if not recognized |
| | |
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2 | | lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2 |
lt_status=$lt_dlunknown | | lt_status=$lt_dlunknown |
cat > conftest.$ac_ext <<EOF | | cat > conftest.$ac_ext <<EOF |
#line 8767 "configure" | | #line 8768 "configure" |
#include "confdefs.h" | | #include "confdefs.h" |
| | |
#if HAVE_DLFCN_H | | #if HAVE_DLFCN_H |
| | |
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2 | | lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2 |
lt_status=$lt_dlunknown | | lt_status=$lt_dlunknown |
cat > conftest.$ac_ext <<EOF | | cat > conftest.$ac_ext <<EOF |
#line 8865 "configure" | | #line 8866 "configure" |
#include "confdefs.h" | | #include "confdefs.h" |
| | |
#if HAVE_DLFCN_H | | #if HAVE_DLFCN_H |
| | |
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \ | | -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \ |
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ | | -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ |
-e 's:$: $lt_compiler_flag:'` | | -e 's:$: $lt_compiler_flag:'` |
(eval echo "\"\$as_me:11042: $lt_compile\"" >&5) | | (eval echo "\"\$as_me:11043: $lt_compile\"" >&5) |
(eval "$lt_compile" 2>conftest.err) | | (eval "$lt_compile" 2>conftest.err) |
ac_status=$? | | ac_status=$? |
cat conftest.err >&5 | | cat conftest.err >&5 |
echo "$as_me:11046: \$? = $ac_status" >&5 | | echo "$as_me:11047: \$? = $ac_status" >&5 |
if (exit $ac_status) && test -s "$ac_outfile"; then | | if (exit $ac_status) && test -s "$ac_outfile"; then |
# The compiler can only warn and ignore the option if not recognized | | # The compiler can only warn and ignore the option if not recognized |
# So say no if there are warnings | | # So say no if there are warnings |
| | |
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \ | | -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \ |
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ | | -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ |
-e 's:$: $lt_compiler_flag:'` | | -e 's:$: $lt_compiler_flag:'` |
(eval echo "\"\$as_me:11102: $lt_compile\"" >&5) | | (eval echo "\"\$as_me:11103: $lt_compile\"" >&5) |
(eval "$lt_compile" 2>out/conftest.err) | | (eval "$lt_compile" 2>out/conftest.err) |
ac_status=$? | | ac_status=$? |
cat out/conftest.err >&5 | | cat out/conftest.err >&5 |
echo "$as_me:11106: \$? = $ac_status" >&5 | | echo "$as_me:11107: \$? = $ac_status" >&5 |
if (exit $ac_status) && test -s out/conftest2.$ac_objext | | if (exit $ac_status) && test -s out/conftest2.$ac_objext |
then | | then |
# The compiler can only warn and ignore the option if not recognized | | # The compiler can only warn and ignore the option if not recognized |
| | |
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2 | | lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2 |
lt_status=$lt_dlunknown | | lt_status=$lt_dlunknown |
cat > conftest.$ac_ext <<EOF | | cat > conftest.$ac_ext <<EOF |
#line 12471 "configure" | | #line 12472 "configure" |
#include "confdefs.h" | | #include "confdefs.h" |
| | |
#if HAVE_DLFCN_H | | #if HAVE_DLFCN_H |
| | |
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2 | | lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2 |
lt_status=$lt_dlunknown | | lt_status=$lt_dlunknown |
cat > conftest.$ac_ext <<EOF | | cat > conftest.$ac_ext <<EOF |
#line 12569 "configure" | | #line 12570 "configure" |
#include "confdefs.h" | | #include "confdefs.h" |
| | |
#if HAVE_DLFCN_H | | #if HAVE_DLFCN_H |
| | |
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \ | | -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \ |
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ | | -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ |
-e 's:$: $lt_compiler_flag:'` | | -e 's:$: $lt_compiler_flag:'` |
(eval echo "\"\$as_me:13396: $lt_compile\"" >&5) | | (eval echo "\"\$as_me:13397: $lt_compile\"" >&5) |
(eval "$lt_compile" 2>conftest.err) | | (eval "$lt_compile" 2>conftest.err) |
ac_status=$? | | ac_status=$? |
cat conftest.err >&5 | | cat conftest.err >&5 |
echo "$as_me:13400: \$? = $ac_status" >&5 | | echo "$as_me:13401: \$? = $ac_status" >&5 |
if (exit $ac_status) && test -s "$ac_outfile"; then | | if (exit $ac_status) && test -s "$ac_outfile"; then |
# The compiler can only warn and ignore the option if not recognized | | # The compiler can only warn and ignore the option if not recognized |
# So say no if there are warnings | | # So say no if there are warnings |
| | |
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \ | | -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \ |
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ | | -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ |
-e 's:$: $lt_compiler_flag:'` | | -e 's:$: $lt_compiler_flag:'` |
(eval echo "\"\$as_me:13456: $lt_compile\"" >&5) | | (eval echo "\"\$as_me:13457: $lt_compile\"" >&5) |
(eval "$lt_compile" 2>out/conftest.err) | | (eval "$lt_compile" 2>out/conftest.err) |
ac_status=$? | | ac_status=$? |
cat out/conftest.err >&5 | | cat out/conftest.err >&5 |
echo "$as_me:13460: \$? = $ac_status" >&5 | | echo "$as_me:13461: \$? = $ac_status" >&5 |
if (exit $ac_status) && test -s out/conftest2.$ac_objext | | if (exit $ac_status) && test -s out/conftest2.$ac_objext |
then | | then |
# The compiler can only warn and ignore the option if not recognized | | # The compiler can only warn and ignore the option if not recognized |
| | |
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \ | | -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \ |
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ | | -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ |
-e 's:$: $lt_compiler_flag:'` | | -e 's:$: $lt_compiler_flag:'` |
(eval echo "\"\$as_me:15501: $lt_compile\"" >&5) | | (eval echo "\"\$as_me:15502: $lt_compile\"" >&5) |
(eval "$lt_compile" 2>conftest.err) | | (eval "$lt_compile" 2>conftest.err) |
ac_status=$? | | ac_status=$? |
cat conftest.err >&5 | | cat conftest.err >&5 |
echo "$as_me:15505: \$? = $ac_status" >&5 | | echo "$as_me:15506: \$? = $ac_status" >&5 |
if (exit $ac_status) && test -s "$ac_outfile"; then | | if (exit $ac_status) && test -s "$ac_outfile"; then |
# The compiler can only warn and ignore the option if not recognized | | # The compiler can only warn and ignore the option if not recognized |
# So say no if there are warnings | | # So say no if there are warnings |
| | |
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \ | | -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \ |
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ | | -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ |
-e 's:$: $lt_compiler_flag:'` | | -e 's:$: $lt_compiler_flag:'` |
(eval echo "\"\$as_me:15734: $lt_compile\"" >&5) | | (eval echo "\"\$as_me:15735: $lt_compile\"" >&5) |
(eval "$lt_compile" 2>conftest.err) | | (eval "$lt_compile" 2>conftest.err) |
ac_status=$? | | ac_status=$? |
cat conftest.err >&5 | | cat conftest.err >&5 |
echo "$as_me:15738: \$? = $ac_status" >&5 | | echo "$as_me:15739: \$? = $ac_status" >&5 |
if (exit $ac_status) && test -s "$ac_outfile"; then | | if (exit $ac_status) && test -s "$ac_outfile"; then |
# The compiler can only warn and ignore the option if not recognized | | # The compiler can only warn and ignore the option if not recognized |
# So say no if there are warnings | | # So say no if there are warnings |
| | |
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \ | | -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \ |
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ | | -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ |
-e 's:$: $lt_compiler_flag:'` | | -e 's:$: $lt_compiler_flag:'` |
(eval echo "\"\$as_me:15794: $lt_compile\"" >&5) | | (eval echo "\"\$as_me:15795: $lt_compile\"" >&5) |
(eval "$lt_compile" 2>out/conftest.err) | | (eval "$lt_compile" 2>out/conftest.err) |
ac_status=$? | | ac_status=$? |
cat out/conftest.err >&5 | | cat out/conftest.err >&5 |
echo "$as_me:15798: \$? = $ac_status" >&5 | | echo "$as_me:15799: \$? = $ac_status" >&5 |
if (exit $ac_status) && test -s out/conftest2.$ac_objext | | if (exit $ac_status) && test -s out/conftest2.$ac_objext |
then | | then |
# The compiler can only warn and ignore the option if not recognized | | # The compiler can only warn and ignore the option if not recognized |
| | |
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2 | | lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2 |
lt_status=$lt_dlunknown | | lt_status=$lt_dlunknown |
cat > conftest.$ac_ext <<EOF | | cat > conftest.$ac_ext <<EOF |
#line 17982 "configure" | | #line 17983 "configure" |
#include "confdefs.h" | | #include "confdefs.h" |
| | |
#if HAVE_DLFCN_H | | #if HAVE_DLFCN_H |
| | |
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2 | | lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2 |
lt_status=$lt_dlunknown | | lt_status=$lt_dlunknown |
cat > conftest.$ac_ext <<EOF | | cat > conftest.$ac_ext <<EOF |
#line 18080 "configure" | | #line 18081 "configure" |
#include "confdefs.h" | | #include "confdefs.h" |
| | |
#if HAVE_DLFCN_H | | #if HAVE_DLFCN_H |
| | |
conftest$ac_exeext conftest.$ac_ext | | conftest$ac_exeext conftest.$ac_ext |
LIBS="$ac_save_LIBS" | | LIBS="$ac_save_LIBS" |
| | |
| | |
######################## | | ######################## |
# Unit test configuration | | # Unit test configuration |
| | |
| | |
fi | | fi |
| | |
| | |
| | |
| | # Check whether --with-xsltproc or --without-xsltproc was given. |
| | if test "${with_xsltproc+set}" = set; then |
| | withval="$with_xsltproc" |
| | check_xslt_forcedprogfound=$withval |
| | fi; |
| | if test "x$check_xslt_forcedprogfound" != "x"; then |
| | # Extract the first word of "$check_xslt_forcedprogfound", so it can be a program name with args. |
| | set dummy $check_xslt_forcedprogfound; ac_word=$2 |
| | echo "$as_me:$LINENO: checking for $ac_word" >&5 |
| | echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6 |
| | if test "${ac_cv_path_check_xslt_forcedprogfound+set}" = set; then |
| | echo $ECHO_N "(cached) $ECHO_C" >&6 |
| | else |
| | case $check_xslt_forcedprogfound in |
| | [\\/]* | ?:[\\/]*) |
| | ac_cv_path_check_xslt_forcedprogfound="$check_xslt_forcedprogfound" # Let the user override the test with a path. |
| | ;; |
| | *) |
| | as_save_IFS=$IFS; IFS=$PATH_SEPARATOR |
| | for as_dir in $PATH |
| | do |
| | IFS=$as_save_IFS |
| | test -z "$as_dir" && as_dir=. |
| | for ac_exec_ext in '' $ac_executable_extensions; do |
| | if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then |
| | ac_cv_path_check_xslt_forcedprogfound="$as_dir/$ac_word$ac_exec_ext" |
| | echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5 |
| | break 2 |
| | fi |
| | done |
| | done |
| | |
| | test -z "$ac_cv_path_check_xslt_forcedprogfound" && ac_cv_path_check_xslt_forcedprogfound="notfound" |
| | ;; |
| | esac |
| | fi |
| | check_xslt_forcedprogfound=$ac_cv_path_check_xslt_forcedprogfound |
| | |
| | if test -n "$check_xslt_forcedprogfound"; then |
| | echo "$as_me:$LINENO: result: $check_xslt_forcedprogfound" >&5 |
| | echo "${ECHO_T}$check_xslt_forcedprogfound" >&6 |
| | else |
| | echo "$as_me:$LINENO: result: no" >&5 |
| | echo "${ECHO_T}no" >&6 |
| | fi |
| | |
| | fi |
| | # Extract the first word of "xsltproc", so it can be a program name with args. |
| | set dummy xsltproc; ac_word=$2 |
| | echo "$as_me:$LINENO: checking for $ac_word" >&5 |
| | echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6 |
| | if test "${ac_cv_path_check_xslt_xsltprocfound+set}" = set; then |
| | echo $ECHO_N "(cached) $ECHO_C" >&6 |
| | else |
| | case $check_xslt_xsltprocfound in |
| | [\\/]* | ?:[\\/]*) |
| | ac_cv_path_check_xslt_xsltprocfound="$check_xslt_xsltprocfound" # Let the user override the test with a path. |
| | ;; |
| | *) |
| | as_save_IFS=$IFS; IFS=$PATH_SEPARATOR |
| | for as_dir in $PATH |
| | do |
| | IFS=$as_save_IFS |
| | test -z "$as_dir" && as_dir=. |
| | for ac_exec_ext in '' $ac_executable_extensions; do |
| | if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then |
| | ac_cv_path_check_xslt_xsltprocfound="$as_dir/$ac_word$ac_exec_ext" |
| | echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5 |
| | break 2 |
| | fi |
| | done |
| | done |
| | |
| | test -z "$ac_cv_path_check_xslt_xsltprocfound" && ac_cv_path_check_xslt_xsltprocfound="notfound" |
| | ;; |
| | esac |
| | fi |
| | check_xslt_xsltprocfound=$ac_cv_path_check_xslt_xsltprocfound |
| | |
| | if test -n "$check_xslt_xsltprocfound"; then |
| | echo "$as_me:$LINENO: result: $check_xslt_xsltprocfound" >&5 |
| | echo "${ECHO_T}$check_xslt_xsltprocfound" >&6 |
| | else |
| | echo "$as_me:$LINENO: result: no" >&5 |
| | echo "${ECHO_T}no" >&6 |
| | fi |
| | |
| | # Extract the first word of "sabcmd", so it can be a program name with args. |
| | set dummy sabcmd; ac_word=$2 |
| | echo "$as_me:$LINENO: checking for $ac_word" >&5 |
| | echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6 |
| | if test "${ac_cv_path_check_xslt_sablotronfound+set}" = set; then |
| | echo $ECHO_N "(cached) $ECHO_C" >&6 |
| | else |
| | case $check_xslt_sablotronfound in |
| | [\\/]* | ?:[\\/]*) |
| | ac_cv_path_check_xslt_sablotronfound="$check_xslt_sablotronfound" # Let the user override the test with a path. |
| | ;; |
| | *) |
| | as_save_IFS=$IFS; IFS=$PATH_SEPARATOR |
| | for as_dir in $PATH |
| | do |
| | IFS=$as_save_IFS |
| | test -z "$as_dir" && as_dir=. |
| | for ac_exec_ext in '' $ac_executable_extensions; do |
| | if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then |
| | ac_cv_path_check_xslt_sablotronfound="$as_dir/$ac_word$ac_exec_ext" |
| | echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5 |
| | break 2 |
| | fi |
| | done |
| | done |
| | |
| | test -z "$ac_cv_path_check_xslt_sablotronfound" && ac_cv_path_check_xslt_sablotronfound="notfound" |
| | ;; |
| | esac |
| | fi |
| | check_xslt_sablotronfound=$ac_cv_path_check_xslt_sablotronfound |
| | |
| | if test -n "$check_xslt_sablotronfound"; then |
| | echo "$as_me:$LINENO: result: $check_xslt_sablotronfound" >&5 |
| | echo "${ECHO_T}$check_xslt_sablotronfound" >&6 |
| | else |
| | echo "$as_me:$LINENO: result: no" >&5 |
| | echo "${ECHO_T}no" >&6 |
| | fi |
| | |
| | xslt_prog="notfound" |
| | if test "$check_xslt_forcedprogfound" != notfound -a "x$check_xslt_forcedprogfound" != x; then |
| | xslt_prog="$check_xslt_forcedprogfound" |
| | |
| | cat << \EOF > configtest.xml |
| | <?xml version="1.0" encoding="ISO-8859-1"?> |
| | <tool> |
| | <field id="prodName"> |
| | <value>HAMMER HG2606</value> |
| | </field> |
| | <field id="prodNo"> |
| | <value>32456240</value> |
| | </field> |
| | <field id="price"> |
| | <value>.00</value> |
| | </field> |
| | </tool> |
| | EOF |
| | cat << \EOF > configtest.xsl |
| | <?xml version="1.0" encoding="ISO-8859-1"?> |
| | <xsl:stylesheet version="1.0" |
| | xmlns:xsl="http://www.w3.org/1999/XSL/Transform"> |
| | <xsl:template match="/"> |
| | <html> |
| | <body> |
| | <form method="post" action="edittool.asp"> |
| | <h2>Tool Information (edit):</h2> |
| | <table border="0"> |
| | <xsl:for-each select="tool/field"> |
| | <tr> |
| | <td> |
| | <xsl:value-of select="@id"/> |
| | </td> |
| | <td> |
| | <input type="text"> |
| | <xsl:attribute name="id"> |
| | <xsl:value-of select="@id" /> |
| | </xsl:attribute> |
| | <xsl:attribute name="name"> |
| | <xsl:value-of select="@id" /> |
| | </xsl:attribute> |
| | <xsl:attribute name="value"> |
| | <xsl:value-of select="value" /> |
| | </xsl:attribute> |
| | </input> |
| | </td> |
| | </tr> |
| | </xsl:for-each> |
| | </table> |
| | <br /> |
| | <input type="submit" id="btn_sub" name="btn_sub" value="Submit" /> |
| | <input type="reset" id="btn_res" name="btn_res" value="Reset" /> |
| | </form> |
| | </body> |
| | </html> |
| | </xsl:template> |
| | </xsl:stylesheet> |
| | EOF |
| | echo "$as_me:$LINENO: checking xslt compliance of $xslt_prog" >&5 |
| | echo $ECHO_N "checking xslt compliance of $xslt_prog... $ECHO_C" >&6 |
| | to_run=$xslt_prog |
| | to_run=${to_run/\%1/configtest.xml} |
| | to_run=${to_run/\%2/configtest.xsl} |
| | to_run=${to_run/\%3/configtest.out} |
| | if { ac_try='$to_run' |
| | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
| | (eval $ac_try) 2>&5 |
| | ac_status=$? |
| | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
| | (exit $ac_status); }; };then |
| | echo "$as_me:$LINENO: result: yes" >&5 |
| | echo "${ECHO_T}yes" >&6; |
| | xsltengine=$xslt_prog |
| | else |
| | echo "$as_me:$LINENO: result: no" >&5 |
| | echo "${ECHO_T}no" >&6; |
| | xslt_prog="notfound" |
| | fi |
| | |
| | fi |
| | xslt_prog="notfound" |
| | if test "$check_xslt_xsltprocfound" != notfound -a "$xslt_prog" = notfound; then |
| | xslt_prog="$check_xslt_xsltprocfound -o %3 %2 %1" |
| | |
| | cat << \EOF > configtest.xml |
| | <?xml version="1.0" encoding="ISO-8859-1"?> |
| | <tool> |
| | <field id="prodName"> |
| | <value>HAMMER HG2606</value> |
| | </field> |
| | <field id="prodNo"> |
| | <value>32456240</value> |
| | </field> |
| | <field id="price"> |
| | <value>.00</value> |
| | </field> |
| | </tool> |
| | EOF |
| | cat << \EOF > configtest.xsl |
| | <?xml version="1.0" encoding="ISO-8859-1"?> |
| | <xsl:stylesheet version="1.0" |
| | xmlns:xsl="http://www.w3.org/1999/XSL/Transform"> |
| | <xsl:template match="/"> |
| | <html> |
| | <body> |
| | <form method="post" action="edittool.asp"> |
| | <h2>Tool Information (edit):</h2> |
| | <table border="0"> |
| | <xsl:for-each select="tool/field"> |
| | <tr> |
| | <td> |
| | <xsl:value-of select="@id"/> |
| | </td> |
| | <td> |
| | <input type="text"> |
| | <xsl:attribute name="id"> |
| | <xsl:value-of select="@id" /> |
| | </xsl:attribute> |
| | <xsl:attribute name="name"> |
| | <xsl:value-of select="@id" /> |
| | </xsl:attribute> |
| | <xsl:attribute name="value"> |
| | <xsl:value-of select="value" /> |
| | </xsl:attribute> |
| | </input> |
| | </td> |
| | </tr> |
| | </xsl:for-each> |
| | </table> |
| | <br /> |
| | <input type="submit" id="btn_sub" name="btn_sub" value="Submit" /> |
| | <input type="reset" id="btn_res" name="btn_res" value="Reset" /> |
| | </form> |
| | </body> |
| | </html> |
| | </xsl:template> |
| | </xsl:stylesheet> |
| | EOF |
| | echo "$as_me:$LINENO: checking xslt compliance of $xslt_prog" >&5 |
| | echo $ECHO_N "checking xslt compliance of $xslt_prog... $ECHO_C" >&6 |
| | to_run=$xslt_prog |
| | to_run=${to_run/\%1/configtest.xml} |
| | to_run=${to_run/\%2/configtest.xsl} |
| | to_run=${to_run/\%3/configtest.out} |
| | if { ac_try='$to_run' |
| | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
| | (eval $ac_try) 2>&5 |
| | ac_status=$? |
| | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
| | (exit $ac_status); }; };then |
| | echo "$as_me:$LINENO: result: yes" >&5 |
| | echo "${ECHO_T}yes" >&6; |
| | xsltengine=$xslt_prog |
| | else |
| | echo "$as_me:$LINENO: result: no" >&5 |
| | echo "${ECHO_T}no" >&6; |
| | xslt_prog="notfound" |
| | fi |
| | |
| | fi |
| | if test "$check_xslt_sablotronfound" != notfound -a "$xslt_prog" = notfound; then |
| | xslt_prog="$check_xslt_sablotronfound %2 %1 %3" |
| | |
| | cat << \EOF > configtest.xml |
| | <?xml version="1.0" encoding="ISO-8859-1"?> |
| | <tool> |
| | <field id="prodName"> |
| | <value>HAMMER HG2606</value> |
| | </field> |
| | <field id="prodNo"> |
| | <value>32456240</value> |
| | </field> |
| | <field id="price"> |
| | <value>.00</value> |
| | </field> |
| | </tool> |
| | EOF |
| | cat << \EOF > configtest.xsl |
| | <?xml version="1.0" encoding="ISO-8859-1"?> |
| | <xsl:stylesheet version="1.0" |
| | xmlns:xsl="http://www.w3.org/1999/XSL/Transform"> |
| | <xsl:template match="/"> |
| | <html> |
| | <body> |
| | <form method="post" action="edittool.asp"> |
| | <h2>Tool Information (edit):</h2> |
| | <table border="0"> |
| | <xsl:for-each select="tool/field"> |
| | <tr> |
| | <td> |
| | <xsl:value-of select="@id"/> |
| | </td> |
| | <td> |
| | <input type="text"> |
| | <xsl:attribute name="id"> |
| | <xsl:value-of select="@id" /> |
| | </xsl:attribute> |
| | <xsl:attribute name="name"> |
| | <xsl:value-of select="@id" /> |
| | </xsl:attribute> |
| | <xsl:attribute name="value"> |
| | <xsl:value-of select="value" /> |
| | </xsl:attribute> |
| | </input> |
| | </td> |
| | </tr> |
| | </xsl:for-each> |
| | </table> |
| | <br /> |
| | <input type="submit" id="btn_sub" name="btn_sub" value="Submit" /> |
| | <input type="reset" id="btn_res" name="btn_res" value="Reset" /> |
| | </form> |
| | </body> |
| | </html> |
| | </xsl:template> |
| | </xsl:stylesheet> |
| | EOF |
| | echo "$as_me:$LINENO: checking xslt compliance of $xslt_prog" >&5 |
| | echo $ECHO_N "checking xslt compliance of $xslt_prog... $ECHO_C" >&6 |
| | to_run=$xslt_prog |
| | to_run=${to_run/\%1/configtest.xml} |
| | to_run=${to_run/\%2/configtest.xsl} |
| | to_run=${to_run/\%3/configtest.out} |
| | if { ac_try='$to_run' |
| | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
| | (eval $ac_try) 2>&5 |
| | ac_status=$? |
| | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
| | (exit $ac_status); }; };then |
| | echo "$as_me:$LINENO: result: yes" >&5 |
| | echo "${ECHO_T}yes" >&6; |
| | xsltengine=$xslt_prog |
| | else |
| | echo "$as_me:$LINENO: result: no" >&5 |
| | echo "${ECHO_T}no" >&6; |
| | xslt_prog="notfound" |
| | fi |
| | |
| | fi |
| | |
| | |
| | |
| | if test x"$have_check" = "xyes" -a x"$xsltengine" != x; then |
| | PROCESS_XSLT_TRUE= |
| | PROCESS_XSLT_FALSE='#' |
| | else |
| | PROCESS_XSLT_TRUE='#' |
| | PROCESS_XSLT_FALSE= |
| | fi |
| | |
| | XSLTENGINE=$xsltengine |
| | |
ac_config_files="$ac_config_files Makefile crossedit/Makefile crossedit/doc/Makefile crossedit/include/Makefile crossedit/Cnv/Makefile crossedit/bitmaps/Makefile doc/Makefile doc/Developers/Makefile doc/spell-docs/Makefile doc/spoiler/Makefile doc/spoiler-html/Makefile doc/playbook/Makefile doc/playbook-html/Makefile doc/scripts/Makefile lib/Makefile random_maps/Makefile socket/Makefile server/Makefile include/Makefile utils/Makefile lib/checkarch.pl lib/collect.pl utils/add_throw.perl utils/crossloop.tmpl utils/crossloop.pl.tmpl utils/metaserver.pl utils/crossloop.web utils/scores.pl utils/player_dl.pl common/Makefile plugins/Makefile plugins/cfpython/Makefile plugins/cfpython/include/Makefile plugins/cfanim/Makefile plugins/cfanim/include/Makefile plugins/common/Makefile plugins/common/include/Makefile devel/Makefile test/Makefile test/unit/Makefile test/toolkit/Makefile test/unit/common/Makefile test/unit/random_maps/Makefile test/unit/socket/Makefile test/unit/server/Makefile test/unit/crossedit/Makefile" | | ac_config_files="$ac_config_files Makefile crossedit/Makefile crossedit/doc/Makefile crossedit/include/Makefile crossedit/Cnv/Makefile crossedit/bitmaps/Makefile doc/Makefile doc/Developers/Makefile doc/spell-docs/Makefile doc/spoiler/Makefile doc/spoiler-html/Makefile doc/playbook/Makefile doc/playbook-html/Makefile doc/scripts/Makefile lib/Makefile random_maps/Makefile socket/Makefile server/Makefile include/Makefile utils/Makefile lib/checkarch.pl lib/collect.pl utils/add_throw.perl utils/crossloop.tmpl utils/crossloop.pl.tmpl utils/metaserver.pl utils/crossloop.web utils/scores.pl utils/player_dl.pl common/Makefile plugins/Makefile plugins/cfpython/Makefile plugins/cfpython/include/Makefile plugins/cfanim/Makefile plugins/cfanim/include/Makefile plugins/common/Makefile plugins/common/include/Makefile devel/Makefile test/Makefile test/unit/Makefile test/toolkit/Makefile test/unit/common/Makefile test/unit/random_maps/Makefile test/unit/socket/Makefile test/unit/server/Makefile test/unit/crossedit/Makefile" |
cat >confcache <<\_ACEOF | | cat >confcache <<\_ACEOF |
# This file is a shell script that caches the results of configure | | # This file is a shell script that caches the results of configure |
| | |
Usually this means the macro was only invoked conditionally." >&2;} | | Usually this means the macro was only invoked conditionally." >&2;} |
{ (exit 1); exit 1; }; } | | { (exit 1); exit 1; }; } |
fi | | fi |
| | if test -z "${PROCESS_XSLT_TRUE}" && test -z "${PROCESS_XSLT_FALSE}"; then |
| | { { echo "$as_me:$LINENO: error: conditional \"PROCESS_XSLT\" was never defined. |
| | Usually this means the macro was only invoked conditionally." >&5 |
| | echo "$as_me: error: conditional \"PROCESS_XSLT\" was never defined. |
| | Usually this means the macro was only invoked conditionally." >&2;} |
| | { (exit 1); exit 1; }; } |
| | fi |
| | |
: ${CONFIG_STATUS=./config.status} | | : ${CONFIG_STATUS=./config.status} |
ac_clean_files_save=$ac_clean_files | | ac_clean_files_save=$ac_clean_files |
| | |
s,@CHECK_LIBS@,$CHECK_LIBS,;t t | | s,@CHECK_LIBS@,$CHECK_LIBS,;t t |
s,@HAVE_CHECK_TRUE@,$HAVE_CHECK_TRUE,;t t | | s,@HAVE_CHECK_TRUE@,$HAVE_CHECK_TRUE,;t t |
s,@HAVE_CHECK_FALSE@,$HAVE_CHECK_FALSE,;t t | | s,@HAVE_CHECK_FALSE@,$HAVE_CHECK_FALSE,;t t |
| | s,@check_xslt_forcedprogfound@,$check_xslt_forcedprogfound,;t t |
| | s,@check_xslt_xsltprocfound@,$check_xslt_xsltprocfound,;t t |
| | s,@check_xslt_sablotronfound@,$check_xslt_sablotronfound,;t t |
| | s,@PROCESS_XSLT_TRUE@,$PROCESS_XSLT_TRUE,;t t |
| | s,@PROCESS_XSLT_FALSE@,$PROCESS_XSLT_FALSE,;t t |
| | s,@XSLTENGINE@,$XSLTENGINE,;t t |
s,@LTLIBOBJS@,$LTLIBOBJS,;t t | | s,@LTLIBOBJS@,$LTLIBOBJS,;t t |
CEOF | | CEOF |
| | |
| | |
echo "$as_me: Will build python plugin? $cf_will_build_python" >&6;} | | echo "$as_me: Will build python plugin? $cf_will_build_python" >&6;} |
| | |
fi | | fi |
{ echo "$as_me:$LINENO: Will process unit testing? $have_check " >&5 | | if test x"$xsltengine" != x ; then |
echo "$as_me: Will process unit testing? $have_check " >&6;} | | check_complement="(will generate report)" |
| | fi |
| | { echo "$as_me:$LINENO: Will process unit testing? $have_check $check_complement" >&5 |
| | echo "$as_me: Will process unit testing? $have_check $check_complement" >&6;} |
if test "x$have_check" = "xyes" ; then | | if test "x$have_check" = "xyes" ; then |
{ echo "$as_me:$LINENO: (run make; make -k check)" >&5 | | { echo "$as_me:$LINENO: (run make; make -k check)" >&5 |
echo "$as_me: (run make; make -k check)" >&6;} | | echo "$as_me: (run make; make -k check)" >&6;} |
| | |
{ echo "$as_me:$LINENO: script guessed wrong, please inform mailing list or sf tracker." >&5 | | { echo "$as_me:$LINENO: script guessed wrong, please inform mailing list or sf tracker." >&5 |
echo "$as_me: script guessed wrong, please inform mailing list or sf tracker." >&6;} | | echo "$as_me: script guessed wrong, please inform mailing list or sf tracker." >&6;} |
| | |
| | |